{
  "name": "MusicLand",
  "version": "1.0.0",
  "scripts": {
    "start": "expo start --dev-client",
    "android": "expo run:android",
    "ios": "expo run:ios",
    "web": "expo start --web",
    "xcode": "open ios/musicland.xcworkspace",
    "clean": "npx expo prebuild --clean",
    "build:web": "expo export -p web",
    "build:desktop:dev": "npx pake-cli http://localhost:8081 --name minuitdev --iter-copy-file --icon ./assets/desktopIcon.icns",
    "build:desktop:prod": "yarn build:web && npx pake-cli ./dist/index.html --name minuit --iter-copy-file --icon ./assets/desktopIcon.icns"
  },
  "dependencies": {
    "@babel/plugin-proposal-export-namespace-from": "~7.18.9",
    "@expo-google-fonts/inter": "~0.4.1",
    "@expo/metro-runtime": "~4.0.1",
    "@expo/react-native-action-sheet": "~4.0.1",
    "@expo/vector-icons": "~14.0.4",
    "@gorhom/bottom-sheet": "~4",
    "@gorhom/portal": "~1.0.14",
    "@legendapp/motion": "~2.2.1",
    "@react-native-async-storage/async-storage": "1.23.1",
    "@react-native-community/datetimepicker": "8.2.0",
    "@react-native-community/hooks": "~3.0.0",
    "@react-native-community/slider": "4.5.5",
    "@react-native-google-signin/google-signin": "~15.0.0",
    "@react-native-masked-view/masked-view": "~0.3.2",
    "@react-navigation/bottom-tabs": "~6.0.9",
    "@react-navigation/core": "~6.1.0",
    "@react-navigation/native": "~6.0.6",
    "@react-navigation/stack": "~6.0.11",
    "@stripe/react-stripe-js": "~2.5.0",
    "@stripe/stripe-js": "~3.0.0",
    "deprecated-react-native-prop-types": "~3.0.1",
    "expo": "~52.0.47",
    "expo-audio": "~0.3.5",
    "expo-auth-session": "~6.0.3",
    "expo-blur": "~14.0.3",
    "expo-build-properties": "~0.13.3",
    "expo-camera": "~16.0.18",
    "expo-constants": "~17.0.8",
    "expo-dev-client": "~5.0.20",
    "expo-device": "~7.0.3",
    "expo-document-picker": "~13.0.3",
    "expo-font": "~13.0.4",
    "expo-haptics": "~14.0.1",
    "expo-image": "~2.0.7",
    "expo-image-picker": "~16.0.6",
    "expo-insights": "~0.8.2",
    "expo-linear-gradient": "~14.0.2",
    "expo-linking": "~7.0.5",
    "expo-location": "~18.0.10",
    "expo-speech": "~13.0.1",
    "expo-splash-screen": "~0.29.24",
    "expo-status-bar": "~2.0.1",
    "expo-system-ui": "~4.0.9",
    "expo-video": "~2.0.6",
    "expo-web-browser": "~14.0.2",
    "firebase": "~9.20.0",
    "lodash": "~4.17.21",
    "moment": "~2.29.4",
    "numbro": "~2.3.6",
    "react": "18.3.1",
    "react-dom": "18.3.1",
    "react-native": "0.76.9",
    "react-native-actions-sheet": "~0.9.7",
    "react-native-compressor": "~1.12.0",
    "react-native-dialog": "~9.3.0",
    "react-native-figma-squircle": "~0.3.4",
    "react-native-gesture-handler": "~2.20.2",
    "react-native-hyperlink": "~0.0.22",
    "react-native-keyboard-aware-scroll-view": "~0.9.5",
    "react-native-linear-gradient": "~2.8.3",
    "react-native-minuit": "~1.3.52",
    "react-native-popup-menu": "~0.18.0",
    "react-native-reanimated": "~3.16.1",
    "react-native-reanimated-carousel": "~4.0.3",
    "react-native-responsive-dimensions": "~3.1.1",
    "react-native-safe-area-context": "4.12.0",
    "react-native-screens": "~4.4.0",
    "react-native-sortables": "~1.8.0",
    "react-native-store-review": "~0.3.0",
    "react-native-super-grid": "~5.0.0",
    "react-native-svg": "15.8.0",
    "react-native-swiper-flatlist": "~3.2.5",
    "react-native-web": "~0.19.6",
    "react-native-web-linear-gradient": "~1.1.2",
    "react-native-webview": "13.12.5",
    "reactn": "~2.2.7",
    "rxjs": "~7.6.0"
  },
  "devDependencies": {
    "@babel/core": "^7.25.2",
    "@babel/parser": "~7.25.6",
    "@babel/traverse": "~7.25.6",
    "@types/react": "~18.3.12",
    "eslint": "~8.57.0",
    "eslint-config-expo": "~8.0.1",
    "eslint-config-prettier": "~9.1.0",
    "eslint-plugin-prettier": "~5.1.3",
    "imagemin": "~9.0.0",
    "imagemin-gifsicle": "~7.0.0",
    "imagemin-jpegtran": "~7.0.0",
    "imagemin-optipng": "~8.0.0",
    "imagemin-svgo": "~11.0.1",
    "prettier": "~3.2.5",
    "typescript": "~5.3.3"
  },
  "resolutions": {
    "firebase": "~9.20.0",
    "react-error-overlay": "6.0.9"
  },
  "private": true,
  "expo": {
    "doctor": {
      "reactNativeDirectoryCheck": {
        "exclude": [
          "@gorhom/portal",
          "react-native-hyperlink",
          "react-native-keyboard-aware-scroll-view",
          "react-native-responsive-dimensions"
        ],
        "listUnknownPackages": false
      }
    }
  }
}
